unit DBW_type;
interface
uses
{$IFDEF WIN32}
Windows, ShellAPI,
{$ENDIF} Ext_Type, Objects, Clases, Views, Drivers;
type
   TOptionsRec = record
     {System page}
     Cliboard:word;
     CodePage:word;
     UseScreenSaver:word;
     ScreenSaverInterval:Longint;
     ExclusiveMode:word;
     DefaultDriver:Longint;
     {Dysplay page}
     ShowMemoVal:word;
     MemoFiler:string[10];
     TrueText:string[10];
     FalseText:string[10];
     FramesType:word;
     FullFrames:word;
     HFrameChar:string[1];
     VFrameChar:string[1];
     CFrameChar:string[1];
     {Sturtup}
     Language:TListBoxRec;
     {Pallete}
     Palette:TListBoxRec;
   end;

   TFieldDirectFormRecord = record
      FieldName:PString;
      FieldSize:Longint;
      InputLine1:string[255];
   end;

   TFindFormRecord = record
      InputLine1:string;
      CheckBoxes1:word;
   end;

type
   TPrintFormRecord = record
      MultiSelBox1:TListBoxRec;
      RadioButtons1:word;
      RadioButtons2:word;
      Filter:string;
   end;

type
   TInfoStruFormRecord = record
      ParamText1:Pointer;
      ListBox1:TListBoxRec;
      CountRecords:Longint;
      RecordSize:Longint;
      LastUpdate:PString;
   end;
type
   TReindexRecord = record
     Name:PString;
     Count:Longint;
   end;
type
   TRangeRecord = record
     HiRangeStr:string;
     LoRangeStr:string;
   end;

type
  TQueryDelete = record
    TableName:PString;
    Expresion:string;
  end;

type
   TSelectFieldSortRecord = record
      FieldList:TListBoxRec;
      Order:word;
   end;
type
   TArifmeticProgersRecord=record
      FirstValueEdit:Longint;
      TypeProgers:word;
      IncrementEdit:Longint;
      OptionsEdit:word;
      DirectionEdit:word;
      CountEdit:Longint;
   end;

procedure RegisterAll;
procedure LetterSend(Sender: PView; var Event: TEvent; EventTime:TEventTime);far;
implementation
uses AddCntrl, CreatDBF;

procedure LetterSend(Sender: PView; var Event: TEvent; EventTime:TEventTime);
{$IFDEF WIN32}
var
  M: Objects.TPoint;
  OldColor:byte;
{$ENDIF}
begin
{$IFDEF WIN32}
  case Event.What of
    evMouseDown:ShellExecute(0, 'open', 'mailto:alexs@n10.ft.stavropol.ru?subject=DBViews',nil,nil,0);
    evMouseMove:
    with PColorText(Sender)^ do
    begin
      OldColor:=Color;
      repeat
        MakeLocal(Event.Where, M);
        if (M.Y=0) and (M.X>=0) and (M.X<Size.X) then Color:=$79
        else break;
        DrawView;
        if Event.What = evMouseDown then
        begin
          HandleEvent(Event);
          break;
        end;
      until not MouseEvent(Event, evMouseMove + evMouseDown);
      Color:=OldColor;
      DrawView;
    end;
  else
    exit;
  end;
  Sender^.ClearEvent(Event);
{$ENDIF}
end;

procedure RegisterAll;
begin
  RegisterProcedure(@CreateTableDialog_HandleEvent, 1,'');
  RegisterProcedure(@LetterSend,2,'');
  RegisterType(RLockUpInputLine);
end;
end.
